Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 2.5.dev
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.hyperic.hq.product
Class ServiceTypeInfo

    java.lang.Object
      net.hyperic.hq.product.TypeInfo
          net.hyperic.hq.product.ServiceTypeInfo

All Implemented Interfaces:
  java.lang.Cloneable

public class ServiceTypeInfo
extends TypeInfo
implements java.lang.Cloneable

Field Summary

Fields inherited from class net.hyperic.hq.product.TypeInfo
`TYPE_PLATFORM, TYPE_SERVER, TYPE_SERVICE`

Constructor Summary
`ServiceTypeInfo()`
`ServiceTypeInfo(java.lang.String name, java.lang.String description, ServerTypeInfo server)`

Method Summary
`java.lang.Object` | `clone()`
`java.lang.String` | `getDescription()`
`boolean` | `getInternal()`
`java.lang.String` | `getServerName()`
`ServerTypeInfo` | `getServerTypeInfo()`
`java.lang.String` | `getServerVersion()`
`int` | `getType()`
`void` | `setDescription(java.lang.String description)`
`void` | `setInternal(boolean flag)`
`void` | `setServerTypeInfo(ServerTypeInfo server)`
`java.lang.String` | `toString()`

Methods inherited from class net.hyperic.hq.product.TypeInfo
`equals, formatName, getFormattedName, getName, getPlatformTypes, getVersion, isServer, isServer, isService, isService, isUnixPlatform, isVersion, isWin32Platform, setName`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServiceTypeInfo

    public ServiceTypeInfo()

### ServiceTypeInfo

    public ServiceTypeInfo(java.lang.String name,
                           java.lang.String description,
                           ServerTypeInfo server)

Method Detail

### clone

    public java.lang.Object clone()

### getInternal

    public boolean getInternal()

### setInternal

    public void setInternal(boolean flag)

### getType

    public int getType()

  Specified by:
    `getType` in class `TypeInfo`

### getServerName

    public java.lang.String getServerName()

### getServerVersion

    public java.lang.String getServerVersion()

### setServerTypeInfo

    public void setServerTypeInfo(ServerTypeInfo server)

### getServerTypeInfo

    public ServerTypeInfo getServerTypeInfo()

### getDescription

    public java.lang.String getDescription()

### setDescription

    public void setDescription(java.lang.String description)

### toString

    public java.lang.String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 2.5.dev
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Hyperic LLC support@hyperic.net, All Rights Reserved.